Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection.stdclasses
[Java] Class CharacterCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.CharacterCachedClass

    public class CharacterCachedClass
    extends CachedClass

Authors:
  Alex.Tkachman

Field Summary

Fields inherited from class CachedClass
EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods

Constructor Summary
`CharacterCachedClass(java.lang.Class klazz, ClassInfo classInfo, boolean allowNull)`

Method Summary
`boolean` | `isAssignableFrom(java.lang.Class classToTransformFrom)`
`boolean` | `isDirectlyAssignable(java.lang.Object argument)`

Methods inherited from class CachedClass
addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### CharacterCachedClass

    public CharacterCachedClass(java.lang.Class klazz, ClassInfo classInfo, boolean allowNull)

Method Detail

### isAssignableFrom

    public boolean isAssignableFrom(java.lang.Class classToTransformFrom)

### isDirectlyAssignable

    public boolean isDirectlyAssignable(java.lang.Object argument)

Groovy Documentation